#include "key_thread.h"
#include "app_touch.h"
#include "app_key.h"

/* key_thread entry function */
/* pvParameters contains TaskHandle_t */
void key_thread_entry(void * pvParameters)
{
    FSP_PARAMETER_NOT_USED(pvParameters);

    /* TODO: add your own code here */
    EventBits_t event_group_bits;
	EventBits_t waiting_eg_bits;
	
	// waiting for initialing
	waiting_eg_bits = EVENT_GROUP_SET_BIT(EVENT_GROUP_0_INIT);
	event_group_bits = xEventGroupWaitBits(event_group_0,     
											waiting_eg_bits,            
											pdFALSE,             // Do not clear event bits    
											pdTRUE,              // waiting all bits setting
											portMAX_DELAY);      // waiting forever 
    (void)event_group_bits;
	
	// Initialize the touch module
	Touch_Init();
	
    while(1)
    {
		// Sampling key status
        Key_RunningEntry();
		// Monitor touch status
	    Touch_RunningEntry();

        vTaskDelay(pdMS_TO_TICKS(10));
    }
}
